Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sauce::internal::MethodBinding< Dependency, Signature >::ValidateAcyclicParameters::Parameter< T, i > Struct Template Reference

Inherits sauce::internal::MethodBinding< Dependency, Signature >::MethodBindingFriend.

## Public Types
typedef Key< T >::Ptr | Type

## Public Member Functions
template<typename Passed >
void | observe (Passed passed)

The documentation for this struct was generated from the following file:

- sauce/internal/method_binding.h